package com.loveCoding.j20250426_java_basic;

//import java.util.Scanner;   //导包

import java.util.Scanner;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo13
 * @description
 * @create 2025/4/26
 */
public class Demo13 {
    public static void main(String[] args) {
        /*
        java中分为两种数据类型：
            1、基本数据类型

            2、引用数据类型：
                类
                数组
                接口
                枚举
                注解
            1、标准键盘输入类型：Scanner
            使用Scanner的格式：需要创建Scanner对象

            Scanner sc=new Scanner(System.in);

            2、字符串
            String  也是一种引用数据类型
         */
        System.out.println("请输入：");
        //创建Scanner对象
        Scanner sc=new Scanner(System.in);

        //String s=sc.next();//获取键盘输入的字符串内容，执行了这个方法，会扫描我们在控制台输入的各种字符串。
        //next()方法，是以空格作为结束符。所以扫描的结束位置就是空格之前。
        String s= sc.nextLine();//方法
        System.out.println(s+10);
        //获取键盘输入的整数
        System.out.println("请输入整数：");
        int num=sc.nextInt();//方法
        System.out.println(num+10);
        System.out.println("请输入小数：");
        double d=sc.nextDouble();//方法
        System.out.println(d+10);

    }
}
